﻿using EventTesting.Commands;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace EventTesting.ViewModels
{
    public class TornadeViewModel : INotifyPropertyChanged
    {
        // Properties
        private string name;
        private List<string> listComboBox;

        // Events
        public event PropertyChangedEventHandler PropertyChanged;
        public DelegatingCommand ChangeDataCommand { get; set; }

        // Constructors
        public TornadeViewModel(string name)
        {
            this.name = name;
            this.ChangeDataCommand = new DelegatingCommand(this);

            listComboBox = new List<string>();
            listComboBox.Add("Noord");
            listComboBox.Add("Oost");
            listComboBox.Add("Zuid");
            listComboBox.Add("West");
        }

        // Getters and Setters
        public string Name
        {
            get { return name; }
            set {
                name = value;
                OnPropertyChanged(Name);
            }
        }

        public List<string> ListComboBox
        {
            get { return listComboBox; }
            set { listComboBox = value; }
        }

        // Methods
        public void Test()
        {
            MessageBox.Show(name);
        }

        // Extra's
        protected void OnPropertyChanged([CallerMemberName] string name = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }
    }
}
